For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Flag prerequisites is an Enterprise feature
Flag prerequisites is available to customers on an Enterprise plan. To learn more, read about our pricing. To upgrade your plan, contact Sales.
List dependent flags across all environments for the flag specified in the path parameters. A dependent flag is a flag that uses another flag as a prerequisite. To learn more, read Flag prerequisites.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/flags/{projectKey}/{environmentKey}/{featureFlagKey}/dependent-flags \
--header 'Authorization: <api-key>'{
"items": [
{
"key": "dependent-flag-key-123abc",
"_links": {},
"_site": "{ \"href\": \"/example-project/example-environment/features/example-dependent-flag\", \"type\": \"text/html\" }",
"name": "Example dependent flag"
}
],
"_links": {},
"_site": "{ \"href\": \"/example-project/~/features/example-prereq-flag\", \"type\": \"text/html\" }"
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The project key
The environment key
The feature flag key
Dependent flags collection response
A list of dependent flags, which are flags that use the requested flag as a prerequisite
Show child attributes
The location and content type of related resources
Show child attributes
Details on how to access the prerequisite flag in the LaunchDarkly UI
Show child attributes
"{ \"href\": \"/example-project/~/features/example-prereq-flag\", \"type\": \"text/html\" }"
curl --request GET \
--url https://app.launchdarkly.com/api/v2/flags/{projectKey}/{environmentKey}/{featureFlagKey}/dependent-flags \
--header 'Authorization: <api-key>'{
"items": [
{
"key": "dependent-flag-key-123abc",
"_links": {},
"_site": "{ \"href\": \"/example-project/example-environment/features/example-dependent-flag\", \"type\": \"text/html\" }",
"name": "Example dependent flag"
}
],
"_links": {},
"_site": "{ \"href\": \"/example-project/~/features/example-prereq-flag\", \"type\": \"text/html\" }"
}